function [Y Y1 D]=demo1(E,G1,N,X,D_X,t,mt,ds)
% E node feature function matrix, rows are corresponding to the target
% network nodes and column are corresponding to the query network nodes.
% G1 is the distance matrix of the target network
% N is the node names of the target network
% X is the query node names
% D_X is the adjacency matrix of X, if X is chain, D_X=[] in default;
% t is the type of the query. If X is a pathway, t=0; if X is a tree, t=1; if X is a
% loopy subnetworks, t=2; if you don't know the type, just set t=2.
% mt is a number for distinguishing the result text file
% ds is the threshold for the node feature function, here we assume the
% bigger value, the more similar between nodes.

% Y an optimal solution
% Y1 all the optimal solution of subscrit
% D is the distance between of the Y nodes
addpath(genpath(cd));
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
di=1;  %%%% delta_s
dd=1;  %%%% 1/delta_e
ds; %%%% delta_d
dc=2;  %%%% 1/delta_c
ded=ds;  %%% similarity v_d to X nodes
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
[E1 g name]=reduf(E,N,G1,ds);
emp=GEM1(ded,E1);
F1=tranf(g,di,dd,emp,D_X,dc);
%%%%%%%%%%%%%%%%%%%%%%%%%
D_X=D_X+D_X';
D_X(D_X>1)=1;
%%%%%%%%%%%%%%%%%%%%%%%%%
Y=dyf(emp,F1,name,D_X,ds,t);
reuslttxt(X,Y,g,D_X,name,mt)